repo/gentoo:master commit in: dev-python/pyproject-fmt/
MichaŠGórny <[email protected]> Tue, 04 Aug 2026 07:44:07 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785829440.13166e466f79fc49efe8469fc6cdcbdc70d8ad84.mgorny@gentoo> |
commit: 13166e466f79fc49efe8469fc6cdcbdc70d8ad84
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 4 05:37:46 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 4 07:44:00 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13166e46
dev-python/pyproject-fmt: Bump to 2.27.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyproject-fmt/Manifest | 4 +
.../pyproject-fmt/pyproject-fmt-2.27.0.ebuild | 115 +++++++++++++++++++++
2 files changed, 119 insertions(+)
diff --git a/dev-python/pyproject-fmt/Manifest b/dev-python/pyproject-fmt/Manifest
index 533166be8d16..89667beacc2a 100644
--- a/dev-python/pyproject-fmt/Manifest
+++ b/dev-python/pyproject-fmt/Manifest
@@ -6,10 +6,14 @@ DIST pyproject_fmt-2.25.4.tar.gz 294939 BLAKE2B 49ff266da59749eacad648592675f468
DIST pyproject_fmt-2.25.4.tar.gz.provenance 10162 BLAKE2B 8b53e7f0e243e39222b5f78e6ff17f43f2d567771aeb42c2d2ba39a314816519c67bfd4785837cfb6936d31580477e88b22dfa2c83c134e3e239f163e8b3abc2 SHA512 3950ea8cec325f06225157f3da31616a1345e0a66b7a00446f958293fe80bb72f9bc40d65895be517e70a1ca3c9921a7a20dee2b1876db2a029f94c18d216b1f
DIST pyproject_fmt-2.26.0.tar.gz 296642 BLAKE2B 210375e5c5caaa7b6c43ede00a627f25e1cf81aef7c62200ce9be0c041b37cee3f1247077699361e64556d26436774f6b2ebcf4093b1a8db2ae72fcf2cb9b310 SHA512 18ed375973adddcfd36882f0e69cb13bb7c12d3e06a91dd4249de86959aaf320d0e6de364b8d9dd396e24e82aec3364c138ae2031777bed9ee05de0bd2440d7a
DIST pyproject_fmt-2.26.0.tar.gz.provenance 10017 BLAKE2B 032a743e5ba685bfb34bcf6d509162d0afd38b280a3d92b38ed4c630625bd8f287d0dd2fdf9f90782b31ad5040ccd3eded9375f57ba55f3c57632d196eaf3abb SHA512 aec802a25f29ca55593f5bf343c310d1b5ec7890be620e98efa4438fb2d11493158455d67a4f73daed363e1388bc299deeb590310e77ea810126dd0ff5ce852b
+DIST pyproject_fmt-2.27.0.tar.gz 300145 BLAKE2B 2b2270350f61025311674405260e4987f8087b24928193ff459e77122a5b724b48a6d8f72ecad530ed14d86e31de9b8cbf9bb3429748156d31d5fa34a8c1a963 SHA512 12705f54be43042918f7c8777a0e95bcdbdb7b02ebabdc98292dd4c7cfa00e1fe398414ef8dbc35f7a07e79926cda352cdbdc843428f7a289990effda6ab1173
+DIST pyproject_fmt-2.27.0.tar.gz.provenance 9692 BLAKE2B 25d88f84cdccfe5b365531785876b035b8b1d477baeaa006dd4e4d85f1b26d3bd7b31e13f3426323c878c8056b3cd052b2bad8dbb764d781f56320296e90233c SHA512 c7dc9fcaa52be8e1464900575aed30765516eac8b4ff5448527f60ea42097e28c8925d1a51fd6a0ff2dfe0ebab4e9ce50b93142228369fa24ef49028f2dbfb57
DIST tombi-0d64bd3bd8a5ddcaafdfc7b114e3b73ada0b325b.gh.tar.gz 10564681 BLAKE2B 1cc4e307d89ae978c8022aed63ad7a7c08e71f810e42743589a6bf44499051250102ca3a60aa2cea65292dfd187240da96f6fb963511b6d4c06559c20bbc67a3 SHA512 e398e14c9b092f2378dfa848c697ea5cb0af705bcb801f288d2ca98b8c0d4aa3abf7a71f2f5a10a4a6a77e1e8d1f7089a0359b2a3ec9b226a19bbb40f0aa0a14
+DIST tombi-447bbe853ac15d1149976e9bbf85dd11fb55359e.gh.tar.gz 10635118 BLAKE2B 76bdc1d7e4704af8891309afbd5ceaba8e4d04ccc6bf4fcb4b021949e8774a613fd3530824407968066b046b455cb63ee754b1a5948a090a5e52b1f83c3d06e1 SHA512 d0aac41e3a7265d2eba5b64cc5815d2cbcc0ade1e055d57821afe4f399079f677c7b7964ffedfbffd8be8429a9ed01987c1446f7eabcedd6ba273fe7ae7d774c
DIST tombi-b46e34c8555e1b98d695ceec30cfa9c0227878ed.gh.tar.gz 10619752 BLAKE2B aef751b54ff252c35c216980d55561d409e76e71379a5d537835db1475bdaa277fd95b233f22af43644fb5a23a2621859706981a78ff7c79e768735f4b071ab4 SHA512 a4b7f71b5ca6f8bc9b64eda3f0048fb372ec44b8b4ab77e3d50bd4ef938de632e3a3837891baa98b4f44a311a743373e5ac92a0c7167ac32cdcbf1e180c7315c
DIST tombi-e9213370947e9d7ab6dd98c1cf17533bbbcc797f.gh.tar.gz 10608653 BLAKE2B 7fd8a27bec2e0c5ab357f2c56ca50c848d71e02da3faca9b0650541b35b177ce7b669d294c20add3dac2ba70e5ced46046d5c2de14df81fcee418fccaaa47344 SHA512 a84ca3f676b95d11c121df08382e3bc6ca2e31c0c867ff3027c5564219f637abda34bcc00d563d777280e1b4522354e83b6bb4b0412b067e9ce57272a4e34d15
DIST toml-fmt-pyproject-fmt-2.21.2-crates.tar.xz 18776904 BLAKE2B ae748ae98a2769a78b34a2051e3237c40bc6714d88c58a22aec5af85caa86e4690e9749ddd1f87d2ebe0908a1a3f24a01a48e4abcf107fcdbd5d8322a0738c6a SHA512 474d707babc9a3f98a933ae645ffb951062491158c6863ff9dea7fee065b19f440501e092fbc28e62e4e67dce435689096a27b96c6acde3b8128b76b5890ca3e
DIST toml-fmt-pyproject-fmt-2.24.1-crates.tar.xz 18725980 BLAKE2B 75f6c4a07b14fc60cd3b7a00e902c2b37fe79ea3d03172e7271300d5ea5bd0bf9b7727c4af7e47e82d28424f677235a6e9c1d22ad3314210be93170d9f36ff76 SHA512 88da1827c097f712489276c48fbf10e4c61ef92b877cd8eb7f34eeb1e289ce0362661d3b01bf34c23c1f4cc67e23b05462773407eba7d17814c96d7885f23bd9
DIST toml-fmt-pyproject-fmt-2.25.4-crates.tar.xz 16547296 BLAKE2B 90d85bfcb1652e61911bed8b89b787569fb45b00b6202335e6106ea427ecca78e24c508f030259b67388a4ea149cbc1bcdc87ad2083eb9c63613dfd0d684bb1a SHA512 e89213e82e7cfef3a61e38f027c85571044c6c7f3acc218722d056756b09221b0425d021ae6ae9392c123768dcd0e05fa5eff1b281f0f15fed15e69416b23d00
DIST toml-fmt-pyproject-fmt-2.26.0-crates.tar.xz 16547296 BLAKE2B 90d85bfcb1652e61911bed8b89b787569fb45b00b6202335e6106ea427ecca78e24c508f030259b67388a4ea149cbc1bcdc87ad2083eb9c63613dfd0d684bb1a SHA512 e89213e82e7cfef3a61e38f027c85571044c6c7f3acc218722d056756b09221b0425d021ae6ae9392c123768dcd0e05fa5eff1b281f0f15fed15e69416b23d00
+DIST toml-fmt-pyproject-fmt-2.27.0-crates.tar.xz 16632708 BLAKE2B 510359aae2b351b8a1e5a73e77bb39b68732453ff4624a9424721f3c1de5aa00ef1e8c06a1858f38ee5ee9ae07fe76304dbe14722611b3b564b51d1b26038c55 SHA512 b41bd7a614426126d6b82b72af12d3b1750ad037145430d0f5f1be5bf097101470f9757ba448ea539b14f155bd31f4800a95172db8616d3214df28f6115d0e9d
diff --git a/dev-python/pyproject-fmt/pyproject-fmt-2.27.0.ebuild b/dev-python/pyproject-fmt/pyproject-fmt-2.27.0.ebuild
new file mode 100644
index 000000000000..ce59aa59bd8a
--- /dev/null
+++ b/dev-python/pyproject-fmt/pyproject-fmt-2.27.0.ebuild
@@ -0,0 +1,115 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+DISTUTILS_UPSTREAM_PEP517=standalone
+PYPI_VERIFY_REPO=https://github.com/tox-dev/toml-fmt
+PYTHON_COMPAT=( python3_{12..15} )
+
+RUST_MIN_VER="1.87.0"
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+ [tombi-accessor]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-accessor'
+ [tombi-ast-editor]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-ast-editor'
+ [tombi-ast]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-ast'
+ [tombi-cache]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-cache'
+ [tombi-comment-directive-serde]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-comment-directive-serde'
+ [tombi-comment-directive-store]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-comment-directive-store'
+ [tombi-comment-directive]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-comment-directive'
+ [tombi-config]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-config'
+ [tombi-date-time]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-date-time'
+ [tombi-diagnostic]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-diagnostic'
+ [tombi-document-tree]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-document-tree'
+ [tombi-document]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-document'
+ [tombi-formatter]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-formatter'
+ [tombi-future]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-future'
+ [tombi-hashmap]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-hashmap'
+ [tombi-json-lexer]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-json-lexer'
+ [tombi-json-syntax]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-json-syntax'
+ [tombi-json-value]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-json-value'
+ [tombi-json]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-json'
+ [tombi-lexer]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-lexer'
+ [tombi-parser]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-parser'
+ [tombi-regex]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-regex'
+ [tombi-rg-tree]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-rg-tree'
+ [tombi-schema-store]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-schema-store'
+ [tombi-severity-level]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-severity-level'
+ [tombi-syntax]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-syntax'
+ [tombi-text]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-text'
+ [tombi-toml-text]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-toml-text'
+ [tombi-toml-version]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-toml-version'
+ [tombi-uri]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-uri'
+ [tombi-validator]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-validator'
+ [tombi-version-sort]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-version-sort'
+ [tombi-x-keyword]='https://github.com/tombi-toml/tombi;447bbe853ac15d1149976e9bbf85dd11fb55359e;tombi-%commit%/crates/tombi-x-keyword'
+)
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Format your pyproject.toml file"
+HOMEPAGE="
+ https://github.com/tox-dev/toml-fmt/
+ https://pypi.org/project/pyproject-fmt/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+ https://github.com/gentoo-crate-dist/toml-fmt/releases/download/pyproject-fmt%2F${PV}/toml-fmt-${P}-crates.tar.xz
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD ISC MIT MPL-2.0
+ Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~x86"
+
+RDEPEND="
+ dev-python/toml-fmt-common[${PYTHON_USEDEP}]
+"
+# tox is called as a subprocess, to get targets from tox.ini
+BDEPEND="
+ test? (
+ dev-python/tox
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib/py.*/site-packages/pyproject_fmt/_lib.*.so"
+
+src_unpack() {
+ pypi_src_unpack
+ cargo_src_unpack
+}
+
+src_prepare() {
+ distutils-r1_src_prepare
+ sed -i -e '/strip/d' pyproject.toml || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # something about ANSI codes, no clue
+ 'pyproject-fmt/tests/test_main.py::test_main[format-absolute-no_check-in_place]'
+ 'pyproject-fmt/tests/test_main.py::test_main[format-cwd-no_check-in_place]'
+ # broken CLI test, expects exit status, gets an exception directly
+ pyproject-fmt/tests/test_main.py::test_invalid_project_version
+ )
+
+ epytest pyproject-fmt
+}
+
+python_test_all() {
+ # default features cause linking errors because they make pyo3
+ # wrongly assume it's compiling a Python extension
+ # https://github.com/tox-dev/toml-fmt/issues/23
+ cargo_src_test --no-default-features
+}